function  Q= detektorQQQ(vsig,R)
%% nalezení minima ve vybraném okně
minimum = [];
if R(1,1) <= 30
    minimum = [1];
    for ind = 2 : size(R,2)
        [hod poz] = min(vsig(1,R(1,ind)-30:R(1,ind)));
         minimum = [minimum (R(1,ind))-30+poz-1];
    end
    else
        for ind = 1 : size(R,2)
        [hod poz] = min(vsig(1,R(1,ind)-30:R(1,ind)));
         minimum = [minimum (R(1,ind))-30+poz-1];
        end
end
%% nalezení prahu
hodnota = mean(vsig(1,minimum(1,2)-20:minimum(1,2))); % nalezení průměrné hodnoty v okně
prah = hodnota*(6/9); % nastavení prahu
ii = 1; iii = 1;
%% detekce maxima od nalezených minim
if minimum(1,1) <= 50
    for ind = 2 : size(minimum,2)
    for ind1 = minimum(1,ind) :-1: minimum(1,ind)-50  
        if vsig(1,ind1) > prah
            detmax{iii,ii} = ind1;
            ii = ii + 1;
        else
        end
    end
    iii = iii + 1;
    ii = 1;
    end
else
for ind = 1 : size(minimum,2)
    for ind1 = minimum(1,ind) :-1: minimum(1,ind)-50  
        if vsig(1,ind1) > prah
            detmax{iii,ii} = ind1;
            ii = ii + 1;
        else
        end
    end
    iii = iii + 1;
    ii = 1;
end
end
%% přidělení detekovaných maxim do proměnné Q
for ind = 1 : size(detmax,1)
    Q{ind} =  detmax{ind,1};
end
Q = cell2mat(Q); % převod proměnné Q na vektor
Q = Q-8; % korekce posunutí signálu
